com.fasterxml.jackson.databind

## Class InjectableValues.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.InjectableValues
  - - com.fasterxml.jackson.databind.InjectableValues.Base

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InjectableValues.Std

Enclosing class:
  InjectableValues

    public abstract static class InjectableValues.Base
    extends InjectableValues
    implements Serializable

Shared intermediate base class for standard implementations.

Since:
  2.21
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.InjectableValues

`InjectableValues.Base, InjectableValues.Std`

### Constructor Summary

Constructors
Constructor and Description
`Base()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected Object` `_handleMissingValue(DeserializationContext ctxt, String key, BeanProperty forProperty, Object beanInstance, Boolean optionalConfig, Boolean useInputConfig)`
`protected String` `_validateKey(DeserializationContext ctxt, Object valueId, BeanProperty forProperty, Object beanInstance)`
`Object` `findInjectableValue(Object valueId, DeserializationContext ctxt, BeanProperty forProperty, Object beanInstance)` Deprecated. in 2.20

### Methods inherited from class com.fasterxml.jackson.databind.InjectableValues

`empty, findInjectableValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base

    public Base()

### Method Detail

#### _validateKey

    protected String _validateKey(DeserializationContext ctxt,
                                  Object valueId,
                                  BeanProperty forProperty,
                                  Object beanInstance)
                           throws JsonMappingException

Throws:
  `JsonMappingException`

#### _handleMissingValue

    protected Object _handleMissingValue(DeserializationContext ctxt,
                                         String key,
                                         BeanProperty forProperty,
                                         Object beanInstance,
                                         Boolean optionalConfig,
                                         Boolean useInputConfig)
                                  throws JsonMappingException

Throws:
  `JsonMappingException`

#### findInjectableValue

    @Deprecated
    public Object findInjectableValue(Object valueId,
                                                  DeserializationContext ctxt,
                                                  BeanProperty forProperty,
                                                  Object beanInstance)
                                           throws JsonMappingException

Deprecated. in 2.20

Specified by:
  `findInjectableValue` in class `InjectableValues`
Throws:
  `JsonMappingException`